%define debug_package %{nil}

Name:           ocaml-pxp
Version:        1.2.0test1
Release:        6%{?dist}
Summary:        Validating XML parser

Group:          Development/Libraries
License:        BSD
URL:            http://www.ocaml-programming.de/packages/
Source0:        http://www.ocaml-programming.de/packages/pxp-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ocaml
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-ocamlnet-devel
BuildRequires:  ocaml-ulex-devel
BuildRequires:  ocaml-pcre-devel, pcre-devel
BuildRequires:  ocaml-camlp4-devel

%define _use_internal_dependency_generator 0
%define __find_requires /usr/lib/rpm/ocaml-find-requires.sh -i Asttypes -i Outcometree -i Parsetree
%define __find_provides /usr/lib/rpm/ocaml-find-provides.sh

%description
pxp: The polymorphic XML parser, a validating XML-1.0 parser including
a DOM-like model for the XML tree representation


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q -n pxp-%{version}
./configure \
  -without-wlex \
  -without-wlex-compat \
  -lexlist all \
  -without-pp
# NB. Temporarily disabled the preprocessor extension
# because it requires camlp5.


%build
make all
make opt


%install
rm -rf $RPM_BUILD_ROOT
export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
make install


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE
%{_libdir}/ocaml/pxp-engine/*.cma
%{_libdir}/ocaml/pxp-engine/*.cmi
%{_libdir}/ocaml/pxp-engine/*.cmo
%{_libdir}/ocaml/pxp-lex-*/*.cma
%{_libdir}/ocaml/pxp-lex-*/*.cmi
%{_libdir}/ocaml/pxp-lex-*/*.cmo
%{_libdir}/ocaml/pxp-ulex-utf8/*.cma
%{_libdir}/ocaml/pxp-ulex-utf8/*.cmi
%{_libdir}/ocaml/pxp-ulex-utf8/*.cmo
#%{_libdir}/ocaml/pxp-pp/pxp_pp.cma


%files devel
%defattr(-,root,root,-)
%doc LICENSE
%{_libdir}/ocaml/pxp-engine/META
%{_libdir}/ocaml/pxp-engine/*.a
%{_libdir}/ocaml/pxp-engine/*.cmxa
%{_libdir}/ocaml/pxp-engine/*.mli
%{_libdir}/ocaml/pxp-lex-*/META
%{_libdir}/ocaml/pxp-lex-*/*.a
%{_libdir}/ocaml/pxp-lex-*/*.cmxa
%{_libdir}/ocaml/pxp-lex-*/*.cmx
%{_libdir}/ocaml/pxp-lex-*/*.o
%{_libdir}/ocaml/pxp-ulex-utf8/META
%{_libdir}/ocaml/pxp-ulex-utf8/*.a
%{_libdir}/ocaml/pxp-ulex-utf8/*.cmxa
%{_libdir}/ocaml/pxp-ulex-utf8/*.cmx
%{_libdir}/ocaml/pxp-ulex-utf8/*.o
#%{_libdir}/ocaml/pxp-pp/META
%{_libdir}/ocaml/pxp/META


%changelog
* Sun Mar  2 2008 Richard W.M. Jones <rjones@redhat.com> - 1.2.0test1-6
- Rebuild for ppc64.

* Fri Feb 15 2008 Richard W.M. Jones <rjones@redhat.com> - 1.2.0test1-5
- Added BR ocaml-camlp4-devel

* Tue Feb 12 2008 Richard W.M. Jones <rjones@redhat.com> - 1.2.0test1-4
- Added BR ocaml-pcre-devel, pcre-devel

* Thu Sep 13 2007 Richard W.M. Jones <rjones@redhat.com> - 1.2.0test1-3
- ExcludeArch ppc64

* Thu Sep 13 2007 Richard W.M. Jones <rjones@redhat.com> - 1.2.0test1-2
- Build on OCaml 3.10
- Disable building the preprocessor (requires old camlp4 or camlp5).
- License is BSD.
- Ignore Parsetree.

* Sat May 26 2007 Richard W.M. Jones <rjones@redhat.com> - 1.2.0test1-1
- Initial RPM release.
